type token =
  | TK_EOF
  | TK_ERROR of (Lxm.t)
  | TK_AND of (Lxm.t)
  | TK_ARROW of (Lxm.t)
  | TK_ASSERT of (Lxm.t)
  | TK_BAR of (Lxm.t)
  | TK_BOOL of (Lxm.t)
  | TK_CDOTS of (Lxm.t)
  | TK_CLOSE_BRACE of (Lxm.t)
  | TK_CLOSE_BRACKET of (Lxm.t)
  | TK_CLOSE_PAR of (Lxm.t)
  | TK_CLOSE_STATIC_PAR of (Lxm.t)
  | TK_COLON of (Lxm.t)
  | TK_COMA of (Lxm.t)
  | TK_CONST of (Lxm.t)
  | TK_CURRENT of (Lxm.t)
  | TK_DIESE of (Lxm.t)
  | TK_DIV of (Lxm.t)
  | TK_DOT of (Lxm.t)
  | TK_EQ of (Lxm.t)
  | TK_ELSE of (Lxm.t)
  | TK_ENUM of (Lxm.t)
  | TK_FALSE of (Lxm.t)
  | TK_FIELD of (Lxm.t)
  | TK_FUNCTION of (Lxm.t)
  | TK_GT of (Lxm.t)
  | TK_GTE of (Lxm.t)
  | TK_HAT of (Lxm.t)
  | TK_ICONST of (Lxm.t)
  | TK_IDENT of (Lxm.t)
  | TK_LONGIDENT of (Lxm.t)
  | TK_IF of (Lxm.t)
  | TK_IMPL of (Lxm.t)
  | TK_INT of (Lxm.t)
  | TK_LET of (Lxm.t)
  | TK_LT of (Lxm.t)
  | TK_LTE of (Lxm.t)
  | TK_MINUS of (Lxm.t)
  | TK_MOD of (Lxm.t)
  | TK_NEQ of (Lxm.t)
  | TK_NODE of (Lxm.t)
  | TK_NOR of (Lxm.t)
  | TK_NOT of (Lxm.t)
  | TK_OPEN_BRACE of (Lxm.t)
  | TK_OPEN_BRACKET of (Lxm.t)
  | TK_OPEN_PAR of (Lxm.t)
  | TK_OPEN_STATIC_PAR of (Lxm.t)
  | TK_OPERATOR of (Lxm.t)
  | TK_OR of (Lxm.t)
  | TK_PCENT of (Lxm.t)
  | TK_PLUS of (Lxm.t)
  | TK_POWER of (Lxm.t)
  | TK_PRE of (Lxm.t)
  | TK_FBY of (Lxm.t)
  | TK_RCONST of (Lxm.t)
  | TK_REAL of (Lxm.t)
  | TK_RETURNS of (Lxm.t)
  | TK_SEMICOL of (Lxm.t)
  | TK_SLASH of (Lxm.t)
  | TK_STAR of (Lxm.t)
  | TK_STEP of (Lxm.t)
  | TK_STRUCT of (Lxm.t)
  | TK_TEL of (Lxm.t)
  | TK_THEN of (Lxm.t)
  | TK_TRUE of (Lxm.t)
  | TK_TYPE of (Lxm.t)
  | TK_VAR of (Lxm.t)
  | TK_WHEN of (Lxm.t)
  | TK_WITH of (Lxm.t)
  | TK_XOR of (Lxm.t)
  | TK_MODEL of (Lxm.t)
  | TK_PACKAGE of (Lxm.t)
  | TK_NEEDS of (Lxm.t)
  | TK_PROVIDES of (Lxm.t)
  | TK_USES of (Lxm.t)
  | TK_IS of (Lxm.t)
  | TK_BODY of (Lxm.t)
  | TK_END of (Lxm.t)

val sxLusFile :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> SyntaxTree.t
